Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_UIPMC_Connector Class Reference

UIPMC-specific Connector bridge for pluggable protocols. More...

`#include <UIPMC_Connector.h>`

Inheritance diagram for TAO_UIPMC_Connector:

[legend]
Collaboration diagram for TAO_UIPMC_Connector:

[legend]
List of all members.

## Public Methods
| TAO_UIPMC_Connector (CORBA::Boolean flag=0)
| Constructor. More...
| ~TAO_UIPMC_Connector (void)
| Destructor. More...
int | open (TAO_ORB_Core *orb_core)
int | close (void)
TAO_Profile * | create_profile (TAO_InputCDR &cdr)
virtual int | check_prefix (const char *endpoint)
virtual char | object_key_delimiter (void) const
## Protected Methods
int | set_validate_endpoint (TAO_Endpoint *endpoint)
| = More TAO_Connector methods, please check the documentation on Transport_Connector.h. More...
int | make_connection (TAO_GIOP_Invocation *, TAO_Transport_Descriptor_Interface *, ACE_Time_Value *timeout)
virtual TAO_Profile * | make_profile (ACE_ENV_SINGLE_ARG_DECL)
int | init_uipmc_properties (void)
| Obtain UIPMC properties that must be used by this connector, i.e., initialize <uipmc_properties_>. More...
## Protected Attributes
TAO_UIPMC_Properties | uipmc_properties_
| UIPMC configuration properties to be used for all connections established by this connector. More...
## Private Types
typedef ACE_Hash_Map_Iterator_Ex< ACE_INET_Addr, TAO_UIPMC_Connection_Handler *, ACE_Hash< ACE_INET_Addr >, ACE_Equal_To< ACE_INET_Addr >, ACE_Null_Mutex > | SvcHandlerIterator
## Private Attributes
ACE_Hash_Map_Manager_Ex< ACE_INET_Addr, TAO_UIPMC_Connection_Handler *, ACE_Hash< ACE_INET_Addr >, ACE_Equal_To< ACE_INET_Addr >, ACE_Null_Mutex > | svc_handler_table_

## Detailed Description

UIPMC-specific Connector bridge for pluggable protocols.

Concrete instance of the TAO_Connector class. Responsible for establishing a connection with a server and is called from the Connector_Registory.

## Member Typedef Documentation

typedef ACE_Hash_Map_Iterator_Ex< ACE_INET_Addr, TAO_UIPMC_Connection_Handler *, ACE_Hash < ACE_INET_Addr >, ACE_Equal_To < ACE_INET_Addr >, ACE_Null_Mutex > TAO_UIPMC_Connector::SvcHandlerIterator`[private]`

## Constructor & Destructor Documentation

TAO_UIPMC_Connector::TAO_UIPMC_Connector | ( | CORBA::Boolean | flag = 0 | ) |

| Constructor.

TAO_UIPMC_Connector::~TAO_UIPMC_Connector | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_UIPMC_Connector::check_prefix | ( | const char * | endpoint | ) | `[virtual]`

| Reimplemented from TAO_Connector.

int TAO_UIPMC_Connector::close | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Connector.

TAO_Profile * TAO_UIPMC_Connector::create_profile | ( | TAO_InputCDR & | cdr | ) | `[virtual]`

| Reimplemented from TAO_Connector.

int TAO_UIPMC_Connector::init_uipmc_properties | ( | void |  | ) | `[protected]`

| Obtain UIPMC properties that must be used by this connector, i.e., initialize <uipmc_properties_>.

int TAO_UIPMC_Connector::make_connection | ( | TAO_GIOP_Invocation * | invocation,
|  | TAO_Transport_Descriptor_Interface * | desc,
|  | ACE_Time_Value * | timeout
| ) | `[protected, virtual]`

| Reimplemented from TAO_Connector.

TAO_Profile * TAO_UIPMC_Connector::make_profile | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected, virtual]`

| Reimplemented from TAO_Connector.

char TAO_UIPMC_Connector::object_key_delimiter | ( | void |  | ) | const`[virtual]`

| Reimplemented from TAO_Connector.

int TAO_UIPMC_Connector::open | ( | TAO_ORB_Core * | orb_core | ) | `[virtual]`

| Reimplemented from TAO_Connector.

int TAO_UIPMC_Connector::set_validate_endpoint | ( | TAO_Endpoint * | endpoint | ) | `[protected, virtual]`

| = More TAO_Connector methods, please check the documentation on Transport_Connector.h. Reimplemented from TAO_Connector.

## Member Data Documentation

ACE_Hash_Map_Manager_Ex< ACE_INET_Addr, TAO_UIPMC_Connection_Handler *, ACE_Hash < ACE_INET_Addr >, ACE_Equal_To < ACE_INET_Addr >, ACE_Null_Mutex > TAO_UIPMC_Connector::svc_handler_table_`[private]`

TAO_UIPMC_Properties TAO_UIPMC_Connector::uipmc_properties_`[protected]`

| UIPMC configuration properties to be used for all connections established by this connector.

The documentation for this class was generated from the following files:

- UIPMC_Connector.h
- UIPMC_Connector.cpp